September 19, 2019, 12:56:10 pm

News:

Have you visited the Allwinner Chipset wiki? - http://linux-sunxi.org/


running livesuit in gentoo

Started by nafsak, May 20, 2014, 04:43:46 am

Previous topic - Next topic

nafsak

Hello
Assalamualaikum
Shalom

I want to share my attempt to run livesuit in gentoo (it's pretty tricky, but finally it run)
1. Install dkms: emerge -avt dkms (in my box it is 2.2.0.0)
2. Extract the livesuit: tar -xvf LiveSuitV305_For_Linux64.zip
3. Goto the extracted: cd LiveSuit_For_Linux64
4. Edit LiveSuit.run: vi LiveSuit.run
5. Comment removing tar: rm /tmp/${program}.tar.bz2 -> #rm /tmp/${program}.tar.bz2
6. Run LiveSuit.run: chmod a+x LiveSuit.run && ./LiveSuit.run
7. Get the program: mv /tmp/LiveSuit.tar.bz2 ./
8. Extract it: mkdir LiveSuit && cd LiveSuit && tar -xvf LiveSuit.tar.bz2
9. Extract the driver: mkdir awdev-dkms_0.4_all && cd awdev-dkms_0.4_all && ar x awdev-dkms_0.4_all.deb
10. Enter root (until last step): su
11. Install the driver: cd / && tar -xvpf ...LiveSuit_For_Linux64/LiveSuit/awdev-dkms_0.4_all/data.tar.gz
      ( Modify the path for data.tar.gz according to your system )
12. Patch the installer script: vi /usr/share/awdev-dkms/postinst
        ...
        echo ""                                                                     
        echo ""                                                                     
        echo "Unable to load DKMS tarball $TARBALL_ROOT/$NAME-$VERSION.dkms.tar.gz." 
        echo "Common causes include: "                                           
        echo " - You must be using DKMS 2.1.0.0 or later to support binaries only"         
        echo "   distribution specific archives."     
        echo " - Corrupt distribution specific archive"
        echo ""                                                       
        echo ""                                                                               
        exit 2
        ...

        INTO

        ...
        echo ""                                                                     
        echo ""                                                                     
        echo "Unable to load DKMS tarball $TARBALL_ROOT/$NAME-$VERSION.dkms.tar.gz." 
        echo "Common causes include: "                                           
        echo " - You must be using DKMS 2.1.0.0 or later to support binaries only"         
        echo "   distribution specific archives."     
        echo " - Corrupt distribution specific archive"
        echo ""                                                       
        echo ""                                                                               
        #~exit 2
        ....
13. Run the installer: /usr/share/awdev-dkms/postinst awdev 0.4 /usr/share/awdev-dkms amd64
      ( Modify the arch amd64 according to your system )
14. Run the application: cd LiveSuit_For_Linux64/LiveSuit/bin && ./LiveSuit

note:
I can't run LiveSuit using usb3 controller, the application will crashed. dmesg said the the driver
error about the IO. It worked using my usb2 controller.

actkk2000

Thx for sharing this info! [emoji3]


nhaskin

Thanks for the info nafsak,

Following your instructions I got livesuit running on debian wheezy amd64.
I got no errors installing the driver and livesuit runs, saying you are running in debian in the cl. But it
never sees the cubietruck that is in fel mode. I checked using ./fel version & ./lsusb

Looking for alternatives for flashing android to the nand.